<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS -&gt; Utils Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>AVS &rarr; Utils Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in AVSCommon/AVS</th><th class="dirtab">Includes file in AVSCommon/Utils/include/AVSCommon/Utils</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_8h.html">Attachment.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_8h.html">Attachment.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_reader_policy_8h.html">ReaderPolicy.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_8h.html">Attachment.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_writer_policy_8h.html">WriterPolicy.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8cpp.html">AttachmentManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8cpp.html">AttachmentManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_reader_8h.html">AttachmentReader.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_reader_policy_8h.html">ReaderPolicy.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_utils_8cpp.html">AttachmentUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_utils_8cpp.html">AttachmentUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_8cpp.html">InProcessAttachment.cpp</a></td><td class="dirtab"><a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_8h.html">InProcessAttachment.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_reader_8cpp.html">InProcessAttachmentReader.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_reader_8h.html">InProcessAttachmentReader.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_reader_8h.html">InProcessAttachmentReader.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_reader_8h.html">Reader.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="dir_06e279b227c8231beccd25579f494998.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_writer_8cpp.html">InProcessAttachmentWriter.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_writer_8h.html">InProcessAttachmentWriter.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_in_process_attachment_writer_8h.html">InProcessAttachmentWriter.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_writer_8h.html">Writer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_audio_input_stream_8h.html">AudioInputStream.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_aggregator_8h.html">DialogUXStateAggregator.h</a></td><td class="dirtab"><a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a>&#160;/&#160;<a class="el" href="_executor_8h.html">Executor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_aggregator_8h.html">DialogUXStateAggregator.h</a></td><td class="dirtab"><a class="el" href="dir_b87968e904c49b1e151e63fd16be423f.html">Timing</a>&#160;/&#160;<a class="el" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html">Timer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_8h.html">ExceptionEncounteredSender.h</a></td><td class="dirtab"><a class="el" href="dir_28c38612a2e19c2720cd1287ea8c9ceb.html">Threading</a>&#160;/&#160;<a class="el" href="_executor_8h.html">Executor.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a>&#160;/&#160;<a class="el" href="dir_d572fa3caec8a2b52e65599c67d7ac56.html">Attachment</a>&#160;/&#160;<a class="el" href="dir_9a3938996a9428cfc2382045181f30d3.html">Common</a>&#160;/&#160;<a class="el" href="_a_v_s_2test_2_attachment_2_common_2_common_8h.html">Common.h</a></td><td class="dirtab"><a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_7c0f72e3b40394b6419f2d29748370b1.html">ExternalMediaPlayer</a>&#160;/&#160;<a class="el" href="_adapter_utils_8h.html">AdapterUtils.h</a></td><td class="dirtab"><a class="el" href="_retry_timer_8h.html">RetryTimer.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_abstract_a_v_s_connection_manager_8cpp.html">AbstractAVSConnectionManager.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8cpp.html">AlexaClientSDKInit.cpp</a></td><td class="dirtab"><a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_alexa_client_s_d_k_init_8cpp.html">AlexaClientSDKInit.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_a_v_s_directive_8cpp.html">AVSDirective.cpp</a></td><td class="dirtab"><a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_a_v_s_directive_8cpp.html">AVSDirective.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_blocking_policy_8cpp.html">BlockingPolicy.cpp</a></td><td class="dirtab"><a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_blocking_policy_8cpp.html">BlockingPolicy.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_capability_agent_8cpp.html">CapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_capability_agent_8cpp.html">CapabilityAgent.cpp</a></td><td class="dirtab"><a class="el" href="dir_fa57286f413a8ff2261f39d3dc5aff6c.html">UUIDGeneration</a>&#160;/&#160;<a class="el" href="_u_u_i_d_generation_8h.html">UUIDGeneration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_capability_configuration_8cpp.html">CapabilityConfiguration.cpp</a></td><td class="dirtab"><a class="el" href="dir_b1ce483046d32a8e8b3f8295633729f3.html">functional</a>&#160;/&#160;<a class="el" href="hash_8h.html">hash.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_event_builder_8cpp.html">EventBuilder.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_log_entry_8h.html">LogEntry.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_event_builder_8cpp.html">EventBuilder.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_event_builder_8cpp.html">EventBuilder.cpp</a></td><td class="dirtab"><a class="el" href="_metrics_8h.html">Metrics.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_event_builder_8cpp.html">EventBuilder.cpp</a></td><td class="dirtab"><a class="el" href="dir_fa57286f413a8ff2261f39d3dc5aff6c.html">UUIDGeneration</a>&#160;/&#160;<a class="el" href="_u_u_i_d_generation_8h.html">UUIDGeneration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_8cpp.html">ExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_8cpp.html">ExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_8cpp.html">ExceptionEncounteredSender.cpp</a></td><td class="dirtab"><a class="el" href="dir_fa57286f413a8ff2261f39d3dc5aff6c.html">UUIDGeneration</a>&#160;/&#160;<a class="el" href="_u_u_i_d_generation_8h.html">UUIDGeneration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_message_request_8cpp.html">MessageRequest.cpp</a></td><td class="dirtab"><a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_d94cc11696d13ea67fe90a2d6eb692db.html">src</a>&#160;/&#160;<a class="el" href="_namespace_and_name_8cpp.html">NamespaceAndName.cpp</a></td><td class="dirtab"><a class="el" href="dir_b1ce483046d32a8e8b3f8295633729f3.html">functional</a>&#160;/&#160;<a class="el" href="hash_8h.html">hash.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a>&#160;/&#160;<a class="el" href="_dialog_u_x_state_aggregator_test_8cpp.html">DialogUXStateAggregatorTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_test_8cpp.html">ExceptionEncounteredSenderTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_0d18bb5cbb27caa99038f34bcb9451a4.html">JSON</a>&#160;/&#160;<a class="el" href="_j_s_o_n_utils_8h.html">JSONUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_test_8cpp.html">ExceptionEncounteredSenderTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_fa57286f413a8ff2261f39d3dc5aff6c.html">UUIDGeneration</a>&#160;/&#160;<a class="el" href="_u_u_i_d_generation_8h.html">UUIDGeneration.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
